> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wire Withdrawal

> Withdraw request to withdraw money between accounts.



## OpenAPI

````yaml POST /customer/wire
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /customer/wire:
    post:
      tags:
        - Customer
      summary: Create Client Withdraw
      description: Withdraw request to withdraw money between accounts.
      operationId: create_client_withdraw_customer_wire_post
      parameters:
        - name: x-idempotency-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Idempotency-Key
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientWithdrawRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_ClientCreateWithdrawalResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ClientWithdrawRequest:
      properties:
        sending_account_id:
          type: string
          title: Sending Account Id
          description: Sending account ID
          examples:
            - '123456789'
        external_account_id:
          type: string
          title: External Account Id
          description: Account id
          examples:
            - 1234abcd
        amount:
          type: number
          maximum: 100000000
          exclusiveMinimum: 0
          title: Amount
          description: Amount
          examples:
            - 100
        purpose:
          type: string
          title: Purpose
          description: Purpose
          examples:
            - I need money
      type: object
      required:
        - sending_account_id
        - external_account_id
        - amount
        - purpose
      title: ClientWithdrawRequest
      description: Schema to deserialize the transaction withdraw request.
    ResponseSchema_ClientCreateWithdrawalResponse_:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - $ref: '#/components/schemas/ClientCreateWithdrawalResponse'
            - type: 'null'
      type: object
      required:
        - message
      title: ResponseSchema[ClientCreateWithdrawalResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ClientCreateWithdrawalResponse:
      properties:
        transaction_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Transaction Id
          description: Transaction ID
          examples:
            - '123123123123'
        sending_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Sending Account Id
          description: Sending account ID
          examples:
            - 1234abcd
        external_account_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Account Id
          description: External account ID
          examples:
            - '987654321'
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
          description: Transaction amount
          examples:
            - 100
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
          description: Note for the transaction
          examples:
            - 'Payment for invoice #1234'
      type: object
      title: ClientCreateWithdrawalResponse
      description: Schema to serialize the transaction withdrawal response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````